## FCLOSE File Close Function

Section: Input/Ouput Functions

### Usage

Closes a file handle, or all open file handles. The general syntax for its use is either

      fclose(handle)

or

      fclose('all')

In the first case a specific file is closed, In the second, all open files are closed. Note that until a file is closed the file buffers are not flushed. Returns a '0' if the close was successful and a '-1' if the close failed for some reason.

### Example

A simple example of a file being opened with `fopen` and then closed with `fclose`.

    --> fp = fopen('test.dat','wb','ieee-le')

    fp =

     8

    --> fclose(fp)

    ans =

     0